Walletguide
DevelopersAPIReferencescenarios

Create scenario

Create a scenario with the Walletguide REST API. Parameters, response fields, and a playground you can run.

POST
/wallets/{walletId}/scenarios

Authorization

bearerAuth
headerAuthorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

Path Parameters

walletId*string

Row uuid

Formatuuid

Request Body

application/json
  1. body
name*string
Length1 <= length
startDate*string
Match^\d{4}-\d{2}-\d{2}$
endMonth?|
Match^\d{4}-\d{2}$
startingBasePerCategory?|null
expectedAnnualReturn*number
assetIds?array<>|null

Response Body

The created scenario

application/json
  1. response
id*string
Formatuuid
walletId*string
Formatuuid
firestoreId*string|null
name*string
startDate*string
endMonth*string|null
startingBasePerCategory*string|number|boolean|null||array<unknown>
expectedAnnualReturn*number
Range-140737488355328 <= value <= 140737488355327
assetIds*array<>|null
createdTime*|
Formatdate-time
createdUserId*string|null
lastUpdatedTime*|
Formatdate-time
lastUpdatedUserId*string|null
Example Request
curl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/scenarios' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "startDate": "string",  "expectedAnnualReturn": 0}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",  "firestoreId": "string",  "name": "string",  "startDate": "string",  "endMonth": "string",  "startingBasePerCategory": "string",  "expectedAnnualReturn": -140737488355328,  "assetIds": [    "96fa1cd8-4f1c-475e-ac07-c52694e711b7"  ],  "createdTime": "2019-08-24T14:15:22Z",  "createdUserId": "string",  "lastUpdatedTime": "2019-08-24T14:15:22Z",  "lastUpdatedUserId": "string"}